import 'package:flutter/material.dart';
import 'sizes.dart';

extension ContextSupport on BuildContext {
  ///get width of fullscreen by percent
  double getW([double percent = 100]) {
    return Sizes.set(this).getW(percent);
  }

  ///get height of fullscreen(contains appbar and bottom bar) by percent
  double getH([double percent = 100]) {
    return Sizes.set(this).getH(percent);
  }

  ///get Height of screen without app by percent
  double getHWithoutAppbar([double percent = 100]) {
    return Sizes.set(this).getHWithoutAppbar(percent);
  }

  ///get Height of screen without appbar and bottombar by percent
  double getHWithoutAppbarAndBottomNaviBar([double percent = 100]) {
    return Sizes.set(this).getHWithoutAppbarAndBottomNaviBar(percent);
  }
}
